@echo off

rem *--------------------------------------------------
rem * Batch file for executing ToxGene under Windows
rem *
rem * Tested on Windows 2000
rem *
rem * by Denilson Barbosa, Aug 31 2001
rem *--------------------------------------------------

if not defined TOXGENE_HOME goto missing_tg
if not defined XERCES_HOME goto missing_xe

rem *--------------------------------------------------
rem MIN_HEAP defines the minimum heap size allocated to the java runtime
rem redefine it according to your needs.
rem *--------------------------------------------------

set MIN_HEAP=64000000

set TG_CP=%TOXGENE_HOME%\lib\toxgene.jar;$%XERCES_HOME%\xercesImpl.jar;$%XERCES_HOME%\xml-apis.jar;$%XERCES_HOME%\xmlParserAPIs.jar

java -Xmx%MIN_HEAP% -DToXgene_home=%TOXGENE_HOME%\lib -classpath %TG_CP%;%CLASSPATH% toxgene.ToXgene %1 %2 %3 %4 %5

goto end

:missing_tg
echo ***** ERROR: TOXGENE_HOME is not set!

if defined XERCES_HOME goto end

:missing_xe
echo ***** ERROR: XERCES_HOME is not set!

:end
